﻿
using BeautySalonDatabaseImplement.Models;

namespace BeautySalonListImplement
{
	public class DataListSingleton
	{
		private static DataListSingleton? _instance;

		public List<Client> Clients { get; set; }
		public List<Cosmetic> Cosmetics { get; set; }
		public List<Distribution> Distributions { get; set; }
		public List<Employee> Employees { get; set; }
		public List<Procedure> Procedures { get; set; }
		public List<Purchase> Purchases { get; set; }
		public List<Receipt> Receipts { get; set; }
		public List<Visit> Visits { get; set; }

		private DataListSingleton()
		{
			Clients = new List<Client>();
			Cosmetics = new List<Cosmetic>();
			Distributions = new List<Distribution>();
			Employees = new List<Employee>();
			Procedures = new List<Procedure>();
			Purchases = new List<Purchase>();
			Receipts = new List<Receipt>();
			Visits = new List<Visit>();
		}
		public static DataListSingleton GetInstance()
		{
			if (_instance == null)
			{
				_instance = new DataListSingleton();
			}
			return _instance;
		}
	}
}
