﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.ViewModels;
using System.Numerics;
using System.Reflection;
using System.Xml.Linq;

namespace BeautySalonDatabaseImplement.Models
{
	internal class Distribution
	{
		public int Id { get; private set; }
		public DateTime Date { get; private set; }
		public double Sum {  get; private set; }
		public static Distribution? Create(DistributionBindingModel model)
		{
			if (model == null)
			{
				return null;
			}
			return new Distribution
			{
				Id = model.Id,
				Date = model.Date,
				Sum = model.Sum
			};

		}
		public void Update(DistributionBindingModel model)
		{
			if (model == null)
			{
				return;
			}
			Date = model.Date;
			Sum = model.Sum;
		}
		public DistributionViewModel GetViewModel => new()
		{
			Id = Id,
			Date = Date,
			Sum = Sum
		};
	}
}
