﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.ViewModels;
using System.Reflection;

namespace BeautySalonDatabaseImplement.Models
{
	internal class Procedure
	{
		public int Id { get; private set; }
		public string Name { get; private set; } = string.Empty;
        public double Price { get; private set; }
		public string FIO_Master { get; private set; } = string.Empty;
        public static Procedure? Create(ProcedureBindingModel model)
		{
			if (model == null)
			{
				return null;
			}
			return new Procedure
			{
				Id = model.Id,
				Name = model.Name,
				Price = model.Price,
				FIO_Master = model.FIO_Master
			};

		}
		public void Update(ProcedureBindingModel model)
		{
			if (model == null)
			{
				return;
			}

			Name = model.Name;
			Price = model.Price;
			FIO_Master = model.FIO_Master;
		}
		public ProcedureViewModel GetViewModel => new()
		{
			Id = Id,
			Name = Name,
			Price = Price,
			FIO_Master = FIO_Master
		};
	}
}
