﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonDatabaseImplement.Models
{
	internal class Receipt
	{
		public int Id { get; private set; }
		public DateTime Date { get; private set; }
		public double Sum {  get; private set; }
		public static Receipt? Create(ReceiptBindingModel model)
		{
			if (model == null)
			{
				return null;
			}
			return new Receipt
			{
				Id = model.Id,
				Date = model.Date,
				Sum = model.Sum
			};

		}
		public void Update(ReceiptBindingModel model)
		{
			if (model == null)
			{
				return;
			}
			Date = model.Date;
			Sum = model.Sum;
		}
		public ReceiptViewModel GetViewModel => new()
		{
			Id = Id,
			Date = Date,
			Sum = Sum
		};
	}
}
