﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonDatabaseImplement.Models
{
	internal class Visit
	{
		public int Id { get; private set; }
		public DateTime Date { get; private set; }
		public double Sum { get; private set; }

		public static Visit? Create(VisitBindingModel model)
		{
			if (model == null)
			{
				return null;
			}
			return new Visit
			{
				Id = model.Id,
				Date = model.Date,
				Sum = model.Sum
			};

		}
		public void Update(VisitBindingModel model)
		{
			if (model == null)
			{
				return;
			}
			Date = model.Date;
			Sum = model.Sum;
		}
		public VisitViewModel GetViewModel => new()
		{
			Id = Id,
			Date = Date,
			Sum = Sum
		};
	}
}
